from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XTextFieldsSupplier(XInterface, Protocol):
    def getTextFields(self) -> XEnumerationAccess: ...
    def getTextFieldMasters(self) -> XNameAccess: ...
